<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
session_start();
//recupera dados do formulario
$usuario		= trim(pg_escape_string($_POST['form_usuario']));
$atualSenha		= trim(pg_escape_string($_POST['form_atualSenha']));
$nSenha			= trim(pg_escape_string($_POST['form_nSenha']));
$cnSenha		= trim(pg_escape_string($_POST['form_cnSenha']));
$codigoEscolaMatricula	= trim(pg_escape_string($_POST['form_codigoEscolaMatricula']));
$botao 			= $_POST['botao'];

//informacoes para remocao de users
$idUser 		= $_GET['idUser'];
$acao	 		= $_GET['acao'];

//rotina para remocao de users
if ($acao == 'remover') {
	include "includes/begin.php";
	$sql="delete from logon where usuario = '".$idUser."'";
	$result=pg_query($dbh, $sql);
	
	if (!$result) {
	   //die("Erro na selecao do usuario" . pg_last_error());
	   header('location:gerencia.php?msn=1');
	   exit;
	}		
	include "includes/end.php";
	header('location:gerencia.php?msn=2');
	exit;
}

//atualizar senha de adminstrador
if ($botao == 'enviar senha')
{
	//carrega arquivo de conex�o
	include "includes/begin.php";		
	// update a senha do admin
	$sql="select * from logon where usuario = 'admin'";
	$result = pg_query($dbh, $sql);
	if (!$result) {
	   //die("Erro na selecao do usuario" . pg_last_error());	   
	   header('location:gerencia.php?msn=3');
	   exit;
	}
	$row = pg_fetch_array($result);
	$codescola = $row['codigoescola'];
	if(isset($codescola)){
		if ((md5($nSenha)==md5($cnSenha)) && (md5(trim($atualSenha)) == trim($row['senha'])) )
		{		
			//carrega arquivo de conex�o
			include "includes/begin.php";		
			// update a senha do admin
			$sql="update logon set senha = '".md5($nSenha)."' where usuario = 'admin'";
			$result=pg_query($dbh, $sql);
			
			if (!$result) {
			   die("Erro na selecao do usuario" . pg_last_error());
			   header('location:gerencia.php?msn=4');
			   exit;
			}
			$_SESSION['logon_admin']='admin_gerencia';
			include "includes/end.php";
			header('location:gerencia.php?msn=6');
			exit;
	
		}
		else
		{
			header('location:gerencia.php?msn=5');
			exit;
		}	
	}
	else{
		if (md5($nSenha)==md5($cnSenha))
		{		
			//carrega arquivo de conex�o
			include "includes/begin.php";		
			// update a senha do admin
			$sql="update logon set senha = '".md5($nSenha)."' where usuario = 'admin'";
			$result=pg_query($dbh, $sql);
			
			if (!$result) {
			   die("Erro na selecao do usuario" . pg_last_error());
			   header('location:gerencia.php?msn=4');
			   exit;
			}
			$_SESSION['logon_admin']='admin_gerencia';
			include "includes/end.php";
			header('location:gerencia.php?msn=6');
			exit;
	
		}
		else
		{
			header('location:gerencia.php?msn=5');
			exit;
		}	
	}	
}

//atualizar c�digo da escola
if ($botao == 'enviar')
{
	include "includes/begin.php";
	// update o c�digo da escola
	$sql="update logon set codigoescola = '".$codigoEscolaMatricula."' where usuario = 'admin'";
	$result=pg_query($dbh, $sql);
	
	if (!$result) {
	   //die("Erro na selecao do usuario" . pg_last_error());
	   header('location:gerencia.php?msn=7');
	   exit;
	}
	include "includes/end.php";
	session_start();
	$_SESSION['f_codigoEscolaMatricula'] = $codigoEscolaMatricula;
	header('location:gerencia.php?msn=8');
	exit;
	
}

if (trim($botao) == 'cadastrar')
{		
	include "includes/begin.php";
	$codEscola = $_POST['form_codigoEscola'];
	
	$sql="select * from logon where usuario = '".$usuario."'";
	$result=pg_query($dbh, $sql);
	
	if (!$result) {
		include "includes/end.php";
		header('location:gerencia.php?msn=3');
		exit;
	}
	$row = pg_fetch_array($result);	
	if ($row['usuario']) {
		include "includes/end.php";
		header('location:gerencia.php?msn=9');
		exit;
	}
	else {	
		if (trim($nSenha) == trim($cnSenha)) {
			$sql="insert into logon (usuario, senha, codigoescola) values('$usuario', '".md5($nSenha)."','$codEscola')";
			$result=pg_query($dbh, $sql);
			if (!$result) {
				include "includes/end.php";
				header('location:gerencia.php?msn=10');
				exit;
			}
			else {
				include "includes/end.php";
				header('location:gerencia.php?msn=11');
				exit;
			}
		}
		else {
			include "includes/end.php";
			header('location:gerencia.php?msn=5');
			exit;	
		}				   
	}	
}
?>